Loading...
Searching...
No Matches
Adios2StManColumn.h File Reference
`#include <unordered_map>`
`#include <casacore/casa/Arrays/Array.h>`
`#include <casacore/tables/DataMan/StManColumnBase.h>`
`#include <casacore/tables/Tables/RefRows.h>`
`#include "Adios2StManImpl.h"`

Go to the source code of this file.

## Classes

class | casacore::Adios2StManColumn
class | casacore::Adios2StManColumn::ArrayColumnCellsVIter
| Iterates over a RefRows object, adjusting an Adios2StManColumn's adios variable selection to cover the required table rows (and the full cell) while also calculating the offset into a given user-provided array where data corresponding to such rows should be written into or read from. More...
class | casacore::Adios2StManColumnT< T >
class | casacore::Adios2StManColumnString

## Namespaces

namespace | casacore
| this file contains all the compiler specific defines